#ifndef PLATFORM_H
#define PLATFORM_H

#include <QPainter>
#include <QTimer>
#include <QWidget>

// Forward declaration, avoiding circular import of mainwindow.h
// (this probably isn't the best way to handle this, but I wasn't
// sure how else to do it.)
class MainWindow;

class Platform : public QTimer {
    Q_OBJECT

  public:
    Platform(MainWindow* parent);

    void draw(QPainter& painter);

    QRect rect() const;

  protected:
    virtual void timerEvent(QTimerEvent*) override;

  private:
    MainWindow* m_parent;
    double m_x;
    double m_y;
};

#endif // PLATFORM_H
